<?php
/**
 * SM FAQ - simple faq component for Joomla! 1.5
 * @version 1.3.2
 * @package SM FAQ
 * @author SmokerMan
 * @author url http://joomla-code.ru
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
class SMfaqInfoHelper
{
	/**
	 * Returns component's version info from .xml file
	 *
	 */
	function getInfo()
	{

		if (!isset($Info)) {
			
			$Info = new StdClass();

			$file =  JPATH_COMPONENT.DS.'install.xml';
			
			$data = JApplicationHelper::parseXMLInstallFile($file);
			$Info->name = $data['name'];
			$Info->description = $data['description'];
			$Info->version = $data['version'];
			$Info->date = $data['creationdate'];
			$Info->author = $data['author'];
			$Info->authorurl = $data['authorUrl'];
			$Info->authoremail = $data['authorEmail'];
	
			return $Info;
		}
	}
	
	function getVersion()
	{
		$url = 'http://www.joomla-code.ru/versions.html';
		$file = @fopen($url,'r');
		if (!$file) {
			return false;
		} else {
			$content = file_get_contents($url);
			preg_match('/<smfaq>(.*)<\/smfaq>/', $content, $version);
			$version = $version[1];
		}
		return $version;
	}
}
?>