<?php
/**
 * SM FAQ - simple faq component for Joomla! 1.5
 * @version 1.3.2
 * @package SM FAQ
 * @author SmokerMan
 * @author url http://joomla-code.ru
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */
 
// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class SmfaqViewSmfaqs extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option;
		
		SMfaqHelper::checkCategories() ;
		
		$filter_state = $mainframe->getUserStateFromRequest( $option.'filter_state', 'filter_state', '', 'word' );
		$filter_state_ans = $mainframe->getUserStateFromRequest( $option.'filter_state_ans', 'filter_state_ans', '', 'word' );
		$filter_catid = $mainframe->getUserStateFromRequest( $option.'filter_catid', 'filter_catid', 0, 'int' );
		$filter_order = $mainframe->getUserStateFromRequest( $option.'filter_order', 'filter_order', 'a.ordering', 'cmd' );
		$filter_order_Dir = $mainframe->getUserStateFromRequest( $option.'filter_order_Dir', 'filter_order_Dir', '', 'word' );
		$search	= $mainframe->getUserStateFromRequest( $option.'search', 'search', '', 'string' );
		$search	= JString::strtolower( $search );
		
		$javascript = 'onchange="document.adminForm.submit();"';
		
		// Get data from the model
		$items		= & $this->get( 'Data');
		$total = & $this->get( 'Total');
		$pagination =& $this->get('Pagination');

		// search filter
		$lists['search']= $search;
		// category filter
		$lists['catid'] = JHTML::_('list.category', 'filter_catid', $option, intval( $filter_catid ), $javascript );
		// state filter		
		$lists['state']	= JHTML::_('grid.state',  $filter_state );
		// answer state filter
		$state_ans[] = JHTML::_('select.option', '', '- '. JText::_( 'COM_SMFAQ_SELECT_STATE' ) .' -' );
		$state_ans[] = JHTML::_('select.option','W', JText::_( 'COM_SMFAQ_ANSWER_WAITING' ) );
		$state_ans[] = JHTML::_('select.option','N', JText::_( 'COM_SMFAQ_ANSWER_NO' ) );
		$state_ans[] = JHTML::_('select.option','Y', JText::_( 'COM_SMFAQ_ANSWER_YES' ) );
		$lists['state_ans'] = JHTML::_('select.genericlist',  $state_ans, 'filter_state_ans', 'class="inputbox" size="1" onchange="submitform( );"', 'value', 'text', $filter_state_ans);

		// table ordering
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;		
		 

        // push data into the template
		$this->assignRef('user',		JFactory::getUser());
        $this->assignRef('items', $items);     
        $this->assignRef('pagination', $pagination);
		$this->assignRef('lists', $lists );

		
		parent::display($tpl);
	}
}