<?php
/**
 * SM FAQ - simple faq component for Joomla! 1.5
 * @version 1.1
 * @package SM FAQ
 * @author SmokerMan
 * @author url http://joomla.forsite.org
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Component Helper
jimport('joomla.application.component.helper');

class SmfaqHelperRoute
{
	
	function getCategoryRoute($catid)
	{
		$needles = array(
			'category' => (int) $catid,
		);

		//Create the link
		$link = 'index.php?option=com_smfaq&view=category&id='.$catid;

		if($item = SmfaqHelperRoute::findItem($needles)) {
			$link .= '&Itemid='.$item->id;
		} else {
			return $link;
		}

		return $link;
	}

	function getQuestionRoute($catid, $id)
	{
		$needles = array(
			'category' => (int) $catid,
		);
		
		if($item = SmfaqHelperRoute::findItem($needles)) {
			$link = 'index.php?option=com_smfaq&view=category&limit=0&Itemid='.$item->id.'&id='.$catid.'#p'.$id;
		} else {
			$link = 'index.php?option=com_smfaq&view=category&limit=0&id='.$catid.'#p'.$id;
		}
		return $link;
	}

	function findItem($needles)
	{
		$component =& JComponentHelper::getComponent('com_smfaq');

		$menus	= &JApplication::getMenu('site', array());
		$items	= $menus->getItems('componentid', $component->id);

		$match = null;

		foreach($needles as $needle => $id)
		{
			foreach($items as $item)
			{
				if ((@$item->query['view'] == $needle) && (@$item->query['id'] == $id)) {
					$match = $item;
					break;
				}
			}
			if(isset($match)) {
				break;
			}
		}

		return $match;
	}
}
?>
