<?php
/**
 * SM FAQ - simple faq component for Joomla! 1.5
 * @version 1.1.1
 * @package SM FAQ
 * @author SmokerMan
 * @author url http://joomla.forsite.org
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class SmfaqViewSmfaq extends JView
{
	
	function display($tpl = null)
	{
		$user = &JFactory::getUser();
		
		if ($user->get('gid') < 19) {
			  JResponse::setHeader('HTTP/1.0 403',true);
			  JError::raiseError( 403, JText::_('COM_SMFAQ_ALERTNOTAUTH') );
			return;
		}
		
		$data	=& $this->get('data');
		$data->voiting ? $comments = & $this->get('comments') : null;
		!$data->created_ans_by ? $data->created_ans_by = $user->name : null;
		
		
		
		$lists['catid'] = JHTML::_('list.category', 'catid', 'com_smfaq', intval($data->catid));
		$lists['published'] = JHTML::_('select.booleanlist',  'published', 'class="inputbox"', intval($data->published) );

		$state_ans[] = JHTML::_('select.option','0', JText::_( 'COM_SMFAQ_WAITING_ANSWER' ) );
		$state_ans[] = JHTML::_('select.option','1', JText::_( 'COM_SMFAQ_NO_ANSWER' ) );
		$state_ans[] = JHTML::_('select.option','2', JText::_( 'COM_SMFAQ_YES_ANSWER' ) );
		$lists['state_ans'] = JHTML::_('select.genericlist',  $state_ans, 'state', '', 'value', 'text', intval($data->state));

		$uri     	=& JFactory::getURI();	
		
		$this->assign('action', 	$uri->toString());
		$this->assignRef('data', $data);
		$this->assignRef('user', $user);
		$this->assignRef('lists',		$lists);
		$this->assignRef('comments',		$comments);
		
		
		parent::display($tpl);
	}
	
	function displayForm($tpl = null)
	{
		global $mainframe;
		$user = &JFactory::getUser();
		
		$Itemid = JRequest::getInt('Itemid',null,'GET');
		$menus = &JSite::getMenu();
		$menu  = $menus->getItem($Itemid);
		if (is_object( $menu ) && $menu->query['view'] == 'category') {
			$params = new JParameter( $menu->params );
		} else {
			$params = &JComponentHelper::getParams( 'com_smfaq' );
		}
		$this->assignRef('params', $params);
		$this->assignRef('user', $user);
		parent::display($tpl);
	}
}